function u=eval(expr,q)
  if fc_tools.utils.isfunhandle(expr)
    u=fc_meshtools.feval(expr,q);
    return
  end
  nq=size(q,2);
  if isscalar(expr) && isnumeric(expr)
    u=expr*ones(nq,1);
    return
  end
  if isnumeric(expr) && length(expr)==nq
    if size(expr,1)==1 && size(expr,2)==nq
      u=expr.';
    return
    end
    if size(expr,2)==1 && size(expr,1)==nq
      u=expr;
    return
    end
  end
  if iscell(expr)
    for i=1:length(expr)
      u{i}=fc_meshtools.eval(expr{i},q);
    end
    return
  end
  error('Unable to evaluate ...')
end
