function plotmesh3Ds(varargin)
  close all % :start:
  meshfile=fc_oogmsh.buildmesh3ds('demisphere5',10,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  fc_tools.graphics.monitors.onGrid(2,2);
  figure(1)
  fc_siplt.plotmesh(Th,'inlegend',true)
  axis off;axis equal;legend('show')
  
  figure(2)
  fc_siplt.plotmesh(Th,'EdgeColor','LightGray', 'EdgeAlpha',0.4,'FaceColor','none')
  view(3);hold on;axis off;axis equal
  fc_siplt.plotmesh(Th,'d',1,'inlegend',true,'LineWidth',2)
  set(legend('show'),'Location','NorthEastOutside','FontSize',12)
  
  figure(3)
  fc_siplt.plotmesh(Th,'labels',[1,10,11,12],'EdgeColor','none','inlegend',true)
  set(legend('show'),'Location','NorthEastOutside','FontSize',12)
  axis off;axis equal
  
  figure(4)
  fc_siplt.plotmesh(Th,'EdgeColor',0.9*[1,1,1], 'EdgeAlpha',0.4,'FaceColor','none')
  hold on;axis off;axis equal
  fc_siplt.plotmesh(Th,'d',1,'color','k')
  fc_siplt.plotmesh(Th,'d',0,'inlegend',true)
  set(legend('show'),'Location','NorthEastOutside','FontSize',12)
   % :end:
end
