fprintf('--------------- %s\n',mfilename())
fprintf('2D meshing using ''MshFileVersion''=''2.2''\n')
fprintf('---------------\n')
geofile='condenser';
fprintf('1. Building a mesh file by using :\n')
fprintf('   -> gmsh version %s\n',fc_oogmsh.gmsh.version())
fprintf('   -> geo file : %s\n',geofile);
meshfile=fc_oogmsh.gmsh.buildmesh2d(geofile,10,'verbose',4,'force',true,'strings',{'Mesh.RecombineAll=1;'},'MshFileVersion','2.2');
fprintf('   -> msh file : %s\n',fc_oogmsh.pathrep(meshfile));
fprintf('2. Reading mesh file\n')
Gh=fc_oogmsh.ooGmsh2(meshfile)

if fc_oogmsh.isgraphics()
  Gh.plotPhysicalElements()
  Gh.plotElementaryElements()
  fc_tools.graphics.monitors.autoGrid()
end
