fprintf('--------------- %s\n',mfilename())
fprintf('3D partitioned mesh from geofile using ''MshFileVersion''=''4.1''\n')
fprintf('---------------\n')
geofile='cylinderkey';np=5;
fprintf('1. Building partitioned mesh file\n')
fprintf('   -> geofile : %s\n',geofile)
fprintf('   -> number of partitions : %d\n',np);
pmfile=fc_oogmsh.gmsh.buildpartmesh(geofile,np,'verbose',2,'force',true,'MshFileVersion','4.1');
fprintf('   -> partitioned msh file : %s\n',fc_oogmsh.pathrep(pmfile));
fprintf('2. Reading the partitioned mesh file\n')
pGh=fc_oogmsh.ooGmsh4(pmfile)

if fc_oogmsh.isgraphics()
  pGh.plotPhysicalElements()
  pGh.plotElementaryElements()
  pGh.plotPartitionElements()
  pGh.plotInterfaceElements()
end
